Bug 7007 - 490 not displaying without indicator 1
Summary: 490 not displaying without indicator 1
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 3.6
Hardware: All All
: PATCH-Sent (DO NOT USE) major (vote)
Assignee: Jared Camins-Esakov
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-11 19:10 UTC by Jared Camins-Esakov
Modified: 2012-10-25 23:09 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 7007: 490 series statements should appear when not traced (2.30 KB, patch)
2011-10-11 19:25 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7007: 490 series statements should appear when not traced (2.41 KB, patch)
2011-10-12 21:15 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jared Camins-Esakov 2011-10-11 19:10:27 UTC
With OPAC XSLTs enabled, the data in marcfield 490 (a,x,v) no longer show up in the "normal view" either in the OPAC or the Intranet. In records where 1st indicator is set to 0 the series title show up, records without any value in the indicator fields are empty.

FYI: Swedish libraries follow LoC recommendations which means we no longer use the obsolete field 440, so the 490 is absolutely essential for our records to display properly.
Comment 1 Jared Camins-Esakov 2011-10-11 19:25:53 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2011-10-12 21:15:19 UTC
Created attachment 5865 [details] [review]
[SIGNED-OFF] Bug 7007: 490 series statements should appear when not traced

Although the MARC21 standard requires libraries to set the first indicator to
'0' when a 490 field is untraced, many libraries leave it blank. Previously,
this resulted in a blank line with the label "Series:" but no actual series
information. This patch fixes that by showing untraced series headings for
490s whenever the first indicator is not set to '1'

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Checked that series shows correctly when first indicator is 0, 1 or not set.
Comment 3 Ian Walls 2011-10-18 17:10:48 UTC
Since MARC21 defines first indicator as only 0 or 1, we don't need to worry about other possibilities creeping in.  This patch is .xsl only, and just redefines the logic from "is 0" to "is not 1", which will be a little more lenient on sloppy cataloging.

Marking Passed QA
Comment 4 Chris Cormack 2011-10-19 02:51:09 UTC
Pushed, please test
Comment 5 Jared Camins-Esakov 2011-10-23 14:11:02 UTC
Closing, since this now works. If anyone objects to the patch author closing the bug, please feel free to test independently (and reopen if I was mistaken).